Bug 630055 (CVE-2010-3169) - CVE-2010-3169 Mozilla Miscellaneous memory safety hazards
Summary: CVE-2010-3169 Mozilla Miscellaneous memory safety hazards
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3169
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 15:40 UTC by Josh Bressers
Modified: 2019-09-29 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:41:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0680 normal SHIPPED_LIVE Critical: seamonkey security update 2010-09-08 01:09:16 UTC
Red Hat Product Errata RHSA-2010:0681 normal SHIPPED_LIVE Critical: firefox security update 2010-09-08 00:33:03 UTC
Red Hat Product Errata RHSA-2010:0682 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-09-08 00:06:28 UTC

Description Josh Bressers 2010-09-03 15:40:32 UTC
Mozilla developers identified and fixed several memory safety bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these bugs showed evidence of memory corruption under certain
circumstances, and we presume that with enough effort at least some of
these could be exploited to run arbitrary code.

Comment 1 Vincent Danen 2010-09-07 23:16:37 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-49.html

Comment 2 errata-xmlrpc 2010-09-08 00:06:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0682 https://rhn.redhat.com/errata/RHSA-2010-0682.html

Comment 3 errata-xmlrpc 2010-09-08 00:33:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html

Comment 4 errata-xmlrpc 2010-09-08 01:10:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0680 https://rhn.redhat.com/errata/RHSA-2010-0680.html


Note You need to log in before you can comment on or make changes to this bug.